import { select, 
        arc,
        csv,
        scaleLinear,
        max,
        scaleBand,
        axisLeft,
        axisBottom} 
from 'd3';

const width = 1000
const height = 1000



const svg = d3.select('.barchart')
                 .attr('height',height)
                 .attr('width',width)

 
const render = (data) => {
  
      const margin = { left:100,right:150, top:50,bottom:50 };
      const innerWidth = width - margin.left - margin.right;
      const innerHeight = width - margin.top - margin.bottom;
  
      const xValue = d => { return d.population }
      const yValue = d => { return d.country }
      
      const xScale = scaleLinear()
                        .domain([0,max(data,xValue)])
                        .range([0,innerWidth]);
  
      const yScale = scaleBand().domain(data.map(yValue))
                                .range([0,innerHeight])
                                .padding(0.3);
  
      const yaxis = axisLeft(yScale); 
  
      const xaxis = axisBottom(xScale); 
  
      console.log(yScale.domain());
  
      const g = svg.append('g')
                     .attr('transform',`translate(${margin.left},${margin.top})`);
  
      g.append('g').call(yaxis);
      g.append('g').call(xaxis)
                           .attr('transform',`translate(0,${innerHeight})`);
   
      g.selectAll('rect').data(data).enter().append('rect')
                                            .attr('width', d => { return                                                              xScale(d.population)  } )
                                            .attr('height',yScale.bandwidth())
                                            .attr('y', d => yScale(d.country) )
                                                   
   }
 
csv('population.csv').then( 
   (row) => {
     row.forEach( r => { r.population = +r.population  } );
     console.log(row)
     
     render(row);
   }
);
 
 
